apiVersion: apps/v1
kind: Deployment
metadata:
  name: azul-front
spec:
  replicas: 2
  selector:
    matchLabels:
      app: azul-front
  template:
    metadata:
      labels:
        app: azul-front
    spec:
      serviceAccountName: s3-runner # Assign the service account
      containers:
      - name: azul-front
        image: 165110553464.dkr.ecr.ap-south-1.amazonaws.com/azul-demo:azul-front-v-1
        imagePullPolicy: IfNotPresent
        ports:
        - containerPort: 5000